FreeMat

- Main Page
- Related Pages

vtkDataSetTriangleFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkDataSetTriangleFilter generates n-dimensional simplices from any input dataset. That is, 3D cells are converted to tetrahedral meshes, 2D cells to triangles, and so on. The triangulation is guaranteed to be compatible.

This filter uses simple 1D and 2D triangulation techniques for cells that are of topological dimension 2 or less. For 3D cells–due to the issue of face compatibility across quadrilateral faces (which way to orient the diagonal?)–a fancier ordered Delaunay triangulation is used. This approach produces templates on the fly for triangulating the cells. The templates are then used to do the actual triangulation.

To create an instance of class vtkDataSetTriangleFilter, simply invoke its constructor as follows

      obj = vtkDataSetTriangleFilter

# Methods

The class vtkDataSetTriangleFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataSetTriangleFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataSetTriangleFilter = obj.NewInstance ()`
- `vtkDataSetTriangleFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetTetrahedraOnly (int )` - When On this filter will cull all 1D and 2D cells from the output. The default is Off.
- `int = obj.GetTetrahedraOnly ()` - When On this filter will cull all 1D and 2D cells from the output. The default is Off.
- `obj.TetrahedraOnlyOn ()` - When On this filter will cull all 1D and 2D cells from the output. The default is Off.
- `obj.TetrahedraOnlyOff ()` - When On this filter will cull all 1D and 2D cells from the output. The default is Off.